import { jsx } from "react/jsx-runtime";
import { useLingui } from "@lingui/react";
import react from "react";
import { AutopilotChatActionButton } from "../common/action-button.js";
function ResourceTriggerButtonComponent({ onClick }) {
    const { _ } = useLingui();
    return /*#__PURE__*/ jsx(AutopilotChatActionButton, {
        iconName: "alternate_email",
        onClick: onClick,
        tooltipPlacement: "top",
        tooltip: _({
            id: 'autopilot-chat.resource-trigger.tooltip'
        }),
        ariaLabel: _({
            id: 'autopilot-chat.resource-trigger.label'
        })
    });
}
const ResourceTriggerButton = /*#__PURE__*/ react.memo(ResourceTriggerButtonComponent);
export { ResourceTriggerButton };
